<ion-header>
<ion-toolbar>
  <ion-searchbar showCancelButton="never" (ionChange)="filterList($event)"></ion-searchbar>
</ion-toolbar>
</ion-header>

<ion-content>
  <ion-card *ngIf="load" >
    <div class="ion-padding custom-skeleton">
      <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
      <ion-skeleton-text animated></ion-skeleton-text>
      <ion-skeleton-text animated style="width: 88%"></ion-skeleton-text>
      <ion-skeleton-text animated style="width: 70%"></ion-skeleton-text>
      <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
    </div>
  </ion-card>
  <ion-virtual-scroll *ngIf="!load" [items]="news" approxItemHeight="320px">
    <ion-card *virtualItem="let items; let i = index;">
    <ion-card-header>
      <ion-card-title>{{i+1}} - {{ items.title }}</ion-card-title>
    </ion-card-header>
    <ion-card-content>{{ items.body }}</ion-card-content>
    <ion-card-content>
      <a (click)="navClick(items.id)" float-right>More >></a>
    </ion-card-content>
    </ion-card>
  </ion-virtual-scroll>
</ion-content>
